-- Note: this Mixin is a little bit special, it adds both a function in the core and others in the button mixin

local TextSubs = FlexBar2.OO.Mixin 
{
	
};


function TextSubs:Activate()
	-- Text1 fontstring creation
	self.Frame.Text1 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal"):SetJustifyH("LEFT"):SetPoint("TOPLEFT", self.Frame, "TOPLEFT");

	-- Text2 fontstring creation
	self.Frame.Text2 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal"):SetJustifyH("RIGHT"):SetPoint("TOPRIGHT", self.Frame, "TOPRIGHT");

	-- Text3 fontstring creation
	self.Frame.Text3 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal"):SetJustifyH("RIGHT"):SetPoint("BOTTOMRIGHT", self.Frame, "BOTTOMRIGHT");

	-- Text4 fontstring creation
	self.Frame.Text4 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal"):SetJustifyH("LEFT"):SetPoint("BOTTOMLEFT", self.Frame, "BOTTOMLEFT");

	-- Text5 fontstring creation
	self.Frame.Text5 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal"):SetJustifyH("CENTER"):SetPoint("CENTER");
end

FlexBar2:RegisterButtonClass(TextSubs);
